﻿/// <reference path="../../ext/jquery-1.7.2.min.js" />
/// <reference path="../../ext/knockout-2.1.0.js" />
/// <reference path="../../ext/knockout-postbox.js" />
/// <reference path="../../src/knockout-externalViewModels.js" />

(function () {



    var viewModel = function () {

        var self = this;

        self.messages = ko.observableArray()
            .syncWith("messages");

        self.removeMessage = function (message) {
            message.delete (function () {
                self.messages.remove(message);
            });
        };

    };

    return new viewModel();

}());