﻿/// <reference path="../../ext/knockout-2.1.0.debug.js" />
(function () {

    var customer = function (firstName, lastName) {
        var self = this;
        self.firstName = ko.observable(firstName);
        self.lastName = ko.observable(lastName);
    };

    return new function () {

        var self = this;

        self.customers = ko.observableArray([]);

        self.selectedCustomer = ko.observable();

        self.selectCustomer = function (customer) {
            self.selectedCustomer(customer);
        };

        self.init = function () {
            setTimeout(function () {
                for (var i = 0; i < 10; i++)
                    self.customers.push(new customer("First" + i, "Last" + i));
            }, 500);
        };

    };

}());